summaryrefslogtreecommitdiff
path: root/community
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2020-12-24 13:47:35 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2020-12-24 13:47:35 +0100
commitcaf6edb780872253705f2bf08f4f3a917204b105 (patch)
treee4afb1a8e47ddd5be2532d45ccee3679e99acc72 /community
parentc33ba49ba5957cf834f65227c04008e41ce50436 (diff)
downloadpackages-caf6edb780872253705f2bf08f4f3a917204b105.tar.xz
community/python-cx_freeze: trying to bump build
Diffstat (limited to 'community')
-rw-r--r--community/python-cx_freeze/PKGBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/community/python-cx_freeze/PKGBUILD b/community/python-cx_freeze/PKGBUILD
index e69de29..ab85f39 100644
--- a/community/python-cx_freeze/PKGBUILD
+++ b/community/python-cx_freeze/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Alexander Rødseth <rodseth@gmail.com>
+# Contributor: Ray Rashif <schiv@archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas@archlinux.org>
+# Contributor: Eric Belanger <eric@archlinux.org>
+# Contributor: Roberto Alsina <ralsina@kde.org>
+# Contributor: Julien Duponchelle <julien@gns3.net>
+
+pkgname=python-cx-freeze
+pkgver=6.4.2
+pkgrel=1
+pkgdesc='Create standalone executables from Python scripts'
+arch=('x86_64')
+url='https://marcelotduarte.github.io/cx_Freeze'
+license=('PSF')
+depends=('python-importlib-metadata')
+makedepends=('python-setuptools')
+checkdepends=('python-nose' 'python-openpyxl')
+replaces=('python-cx_freeze')
+provides=('python-cx_freeze')
+conflicts=('python-cx_freeze')
+source=("https://github.com/marcelotduarte/cx_Freeze/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('ddcff29c749872a51d691f852630f2e4cca77449c930993807cc1d459087ba25a2e58c2ce8669e4ca297a0d3ac659b007d9a94fdc389b46685aeb7a95307882b')
+
+prepare() {
+ cd cx_Freeze-$pkgver
+ # https://github.com/marcelotduarte/cx_Freeze/pull/833
+ sed -i 's/excludes$/excludes or []/' cx_Freeze/finder.py
+}
+
+build() {
+ cd cx_Freeze-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd cx_Freeze-$pkgver
+ python setup.py nosetests || echo "Tests failed"
+}
+
+package() {
+ cd cx_Freeze-$pkgver
+ python setup.py install --root "$pkgdir" --optimize 1 --skip-build
+}